#!/bin/bash
export CUDA_VISIBLE_DEVICES=0

# 1 - baseline
export WANDB_RUN_GROUP="0011"
cp output/baseline/voc_2007_trainval/default/baseline_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/1-baseline.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 2 - image-no-ia
export WANDB_RUN_GROUP="0012"
cp output/image-no-ia/voc_2007_trainval/default/image-no-ia_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/2-image-no-ia.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 3 - image
export WANDB_RUN_GROUP="0004"
cp output/image/voc_2007_trainval/default/baseline_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/3-image.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 4 - full
export WANDB_RUN_GROUP="0003"
cp output/full/voc_2007_trainval/default/full_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/4-full.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 5 - oicr-baseline
export WANDB_RUN_GROUP="0015"
cp output/oicr-baseline/voc_2007_trainval/default/oicr-baseline_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/5-oicr-baseline.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 6 - oicr-full
export WANDB_RUN_GROUP="0016"
cp output/oicr-full/voc_2007_trainval/default/oicr-full_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/6-oicr-full.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 9 - full nocl
export WANDB_RUN_GROUP="0009"
cp output/full/voc_2007_trainval/default/baseline_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/9-full-nocl.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

# 10 - baseline-nocl
export WANDB_RUN_GROUP="1010"
cp output/baseline-nocl/voc_2007_trainval/default/baseline-nocl_iter_100000.pth \
   output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth
cp experiments/cfgs/repro/10-baseline-nocl.yaml experiments/cfgs/vgg16.yml
bash experiments/scripts/test_faster_rcnn.sh 0 pascal_voc vgg16
rm output/vgg16_MELM/voc_2007_trainval/default/vgg16_MELM_iter_100000.pth

unset WANDB_RUN_GROUP